Widget Pack 1 v1.7.1

Release Notes

This plugin has been tested but not cleaned up enough, the next version I will clean it up more and made a admin way to enable/disable the widgets.

Just unzip to mod and enable the plugin to install.

To enable or disable individual widgets, edit the start.php and comment the lines corresponding to it with // at the begining.

 

  • I guess I made more of these I remember, whosamungus, vulcan, toplnx, duuit2ns, top2ns, toplnx, etc.

    Anyway, I am sure there might be problems with some of them, just post issues.

  • u r doing gud work mi a amigo ;-) good contributions ;-) danke ! pm me if yew wanna my help anytyme (i got 35 yrs comp sci behind me ;-)

  • @Dhruva thanks much. :)

  • i'm gonna crash out now.. lack of sleep ;-) i will be back online in abt 1 hrs... i'm dying;;;;;-)

  • hi, thanks for the great work

    why not separate all those plugins
                      each in a package 

    I would like to use the myspace and deviantart  but not the others 

    help please :)

  • Well my reasoning was because having this many Widgets was a pain in the ass for enabling/disabling when I knew they didnt affect anything else on the site.  

    Also having more plugins causes the site to slow down to parse each plugins start.php.  

    This was the better way for my usage.  IF you only want those plugins you can still grab this release and just disable all others in the start.php.  Simple and easy by putting // in front of all the lines not related to the ones you want.

     

  • And the myspace one came from here on the community site, so just search around for it.  The deviantart was a modified simplepie reader and nothing more.

  • Nice work, thanks for all your effort!! Much appreciated

  • Thanks for this plugin ! (i was planning to do some similar plugin, but yours is much more advanced  ;)

    You might want to integrate the "Web profiles" widget in this plugin ?  here it is >> http://community.elgg.org/pg/plugins/Facyla/read/517190/web-profiles-content-display

  • @Facyla

    I'll add it and get another release out later this week.

     

  • This is showing up in the Blog widget.  Any idea how to fix it.

    Fatal error: Class 'ElggRiverStatement' not found in /public_html/community/mod/wp1/views/default/widgets/blog/view.php on line 18

    Here's the php file referenced:

    <?php

    $owner = page_owner_entity();
    $limit = 8;

    if ($vars['entity']->limit)
    $limit = $vars['entity']->limit;

    $objects = get_entities("object", "blog", $owner->guid,null,$limit);

    $widgets = array();

    $widget_view = get_plugin_setting('view','wp1');
    if(empty($widget_view)){
      $widget_view = "create";
    }
    foreach($objects as $object){
      $statement = new ElggRiverStatement($owner, "create", $object,$object->time_created);
      $tam = elgg_view("river/object/blog/{$widget_view}", array(
                            'statement' => $statement,
                            'time'=>$object->time_created
      ));
      if(!empty($tam)){
        $widgets[] = elgg_view("river/wrapper",array(
                                        'entry' => $tam,
                                        'time' => $object->time_created,
                                        'event' => "create",
                                        'statement' => $statement
                            ));
      }
    }
    echo elgg_view('river/dashboard',array('river'=>$widgets));
    ?>

  • put the wp1 in first place in the administer tools, and so you can solucionate the problem with the blog

  • don't working prev and next in flicker

  • @mike just delete the blog widget, elgg provides one (rm -rf views/default/widgets/blog)

    @iaenus - as soon as the support is back in for widgets in the 1.8-svn i will resolve this 

    Shouldnt be much of a issue with making the buttons work.

  • I'm not able to make this work, using elgg 1.7.3.  I tried disabling the blog widget which allowed it to work for a moment then I received the same message when I browsed away from the Tool Admin page: Fatal error: Cannot redeclare izapmarkvisitor() (previously declared in /home/musicinf/public_html/mod/izap-profile-visitors/includes/lib.php:17) in /home/musicinf/public_html/mod/wp1/vendors/startlib.php on line 49

    It works until I browse to my profile page then everything breaks.  Tried deleting simplecache views and running upgrade.php (which won't even load after that) to no avail.  I ended up having to delete the plugin from the mods folder in order to gain access back to my site.  Any help is much appreciated. :)

     

  • Hi there just want to say great plugin by the way.

    Im am just wondering with the audio player widget how do you add sound/content to the player. im using 1.7.4 excuse my noobness.

    any advice

    Thanks

     

  • sorry i have another question - on the mini profile widget when i click edit profile photo it says sorry, we could not find the specified profile.... any ideas on how to fix this?

    thanks

  • @NikkiPixel remove izap_profile_visitors plugin as it is integrated in the widget pack

    @STUDENTSzine upload mp3 files with the file plugin, they are picked up automatically

    not sure on the miniprofile widget ill have to check into it with 1.7.4

     

  • i don't need some of the plugins .. i think i cannot disable them. right?

  • is this going to be ported to 1.8 ? thanks

Stats

  • Category: Widgets
  • License: GNU General Public License (GPL) version 2
  • Updated: 2014-11-17
  • Downloads: 3134
  • Recommendations: 7

Other Projects

View bman's plugins